/// @cond EO_CXX_EO_IMPL

inline double elm::panes::content_left_size_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_panes_content_left_size_get());
   return _tmp_ret;
}

inline void elm::panes::content_left_size_set(double size_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_panes_content_left_size_set(size_));
}

inline bool elm::panes::horizontal_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_panes_horizontal_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm::panes::horizontal_set(bool horizontal_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_panes_horizontal_set(::efl::eolian::to_c(horizontal_)));
}

inline bool elm::panes::fixed_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_panes_fixed_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm::panes::fixed_set(bool fixed_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_panes_fixed_set(::efl::eolian::to_c(fixed_)));
}

inline double elm::panes::content_right_size_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_panes_content_right_size_get());
   return _tmp_ret;
}

inline void elm::panes::content_right_size_set(double size_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_panes_content_right_size_set(size_));
}

inline double elm::panes::content_left_min_relative_size_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_panes_content_left_min_relative_size_get());
   return _tmp_ret;
}

inline void elm::panes::content_left_min_relative_size_set(double size_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_panes_content_left_min_relative_size_set(size_));
}

inline double elm::panes::content_right_min_relative_size_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_panes_content_right_min_relative_size_get());
   return _tmp_ret;
}

inline void elm::panes::content_right_min_relative_size_set(double size_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_panes_content_right_min_relative_size_set(size_));
}

inline Evas_Coord elm::panes::content_left_min_size_get() const
{
   Evas_Coord _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_panes_content_left_min_size_get());
   return _tmp_ret;
}

inline void elm::panes::content_left_min_size_set(Evas_Coord size_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_panes_content_left_min_size_set(size_));
}

inline Evas_Coord elm::panes::content_right_min_size_get() const
{
   Evas_Coord _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_panes_content_right_min_size_get());
   return _tmp_ret;
}

inline void elm::panes::content_right_min_size_set(Evas_Coord size_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_panes_content_right_min_size_set(size_));
}

inline double eo_cxx::elm::panes::content_left_size_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_panes_content_left_size_get());
   return _tmp_ret;
}

inline void eo_cxx::elm::panes::content_left_size_set(double size_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_panes_content_left_size_set(size_));
}

inline bool eo_cxx::elm::panes::horizontal_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_panes_horizontal_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm::panes::horizontal_set(bool horizontal_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_panes_horizontal_set(::efl::eolian::to_c(horizontal_)));
}

inline bool eo_cxx::elm::panes::fixed_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_panes_fixed_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm::panes::fixed_set(bool fixed_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_panes_fixed_set(::efl::eolian::to_c(fixed_)));
}

inline double eo_cxx::elm::panes::content_right_size_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_panes_content_right_size_get());
   return _tmp_ret;
}

inline void eo_cxx::elm::panes::content_right_size_set(double size_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_panes_content_right_size_set(size_));
}

inline double eo_cxx::elm::panes::content_left_min_relative_size_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_panes_content_left_min_relative_size_get());
   return _tmp_ret;
}

inline void eo_cxx::elm::panes::content_left_min_relative_size_set(double size_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_panes_content_left_min_relative_size_set(size_));
}

inline double eo_cxx::elm::panes::content_right_min_relative_size_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_panes_content_right_min_relative_size_get());
   return _tmp_ret;
}

inline void eo_cxx::elm::panes::content_right_min_relative_size_set(double size_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_panes_content_right_min_relative_size_set(size_));
}

inline Evas_Coord eo_cxx::elm::panes::content_left_min_size_get() const
{
   Evas_Coord _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_panes_content_left_min_size_get());
   return _tmp_ret;
}

inline void eo_cxx::elm::panes::content_left_min_size_set(Evas_Coord size_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_panes_content_left_min_size_set(size_));
}

inline Evas_Coord eo_cxx::elm::panes::content_right_min_size_get() const
{
   Evas_Coord _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_panes_content_right_min_size_get());
   return _tmp_ret;
}

inline void eo_cxx::elm::panes::content_right_min_size_set(Evas_Coord size_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_panes_content_right_min_size_set(size_));
}

inline ::eo_cxx::elm::panes::operator ::elm::panes() const
{
   return *static_cast<::elm::panes const*>(static_cast<void const*>(this));
}

inline ::eo_cxx::elm::panes::operator ::elm::panes&()
{
   return *static_cast<::elm::panes*>(static_cast<void*>(this));
}

inline ::eo_cxx::elm::panes::operator ::elm::panes const&() const
{
   return *static_cast<::elm::panes const*>(static_cast<void const*>(this));
}

template <typename T>
double elm_panes_content_left_size_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->content_left_size_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         double _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void elm_panes_content_left_size_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, double size_)
{
   try
      {
         static_cast<T*>(self->this_)->content_left_size_set(size_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
bool elm_panes_horizontal_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->horizontal_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void elm_panes_horizontal_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool horizontal_)
{
   try
      {
         static_cast<T*>(self->this_)->horizontal_set(::efl::eolian::to_cxx<bool>(horizontal_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
bool elm_panes_fixed_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->fixed_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void elm_panes_fixed_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool fixed_)
{
   try
      {
         static_cast<T*>(self->this_)->fixed_set(::efl::eolian::to_cxx<bool>(fixed_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
double elm_panes_content_right_size_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->content_right_size_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         double _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void elm_panes_content_right_size_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, double size_)
{
   try
      {
         static_cast<T*>(self->this_)->content_right_size_set(size_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
double elm_panes_content_left_min_relative_size_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->content_left_min_relative_size_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         double _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void elm_panes_content_left_min_relative_size_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, double size_)
{
   try
      {
         static_cast<T*>(self->this_)->content_left_min_relative_size_set(size_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
double elm_panes_content_right_min_relative_size_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->content_right_min_relative_size_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         double _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void elm_panes_content_right_min_relative_size_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, double size_)
{
   try
      {
         static_cast<T*>(self->this_)->content_right_min_relative_size_set(size_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
Evas_Coord elm_panes_content_left_min_size_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->content_left_min_size_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Evas_Coord _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void elm_panes_content_left_min_size_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Evas_Coord size_)
{
   try
      {
         static_cast<T*>(self->this_)->content_left_min_size_set(size_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
Evas_Coord elm_panes_content_right_min_size_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->content_right_min_size_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Evas_Coord _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void elm_panes_content_right_min_size_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Evas_Coord size_)
{
   try
      {
         static_cast<T*>(self->this_)->content_right_min_size_set(size_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

namespace efl { namespace eo { namespace detail {

template<>
struct operations< ::elm::panes >
{
   template <typename T>
   struct type
         : virtual operations< ::elm::layout >::template type<T>
         , virtual operations< ::evas::clickable_interface >::template type<T>
   {
      virtual double content_left_size_get()
      {
         double _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_panes_content_left_size_get());
            return _tmp_ret;
      }

      virtual void content_left_size_set(double size_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_panes_content_left_size_set(size_));
      }

      virtual bool horizontal_get()
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_panes_horizontal_get());
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void horizontal_set(bool horizontal_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_panes_horizontal_set(::efl::eolian::to_c(horizontal_)));
      }

      virtual bool fixed_get()
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_panes_fixed_get());
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void fixed_set(bool fixed_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_panes_fixed_set(::efl::eolian::to_c(fixed_)));
      }

      virtual double content_right_size_get()
      {
         double _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_panes_content_right_size_get());
            return _tmp_ret;
      }

      virtual void content_right_size_set(double size_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_panes_content_right_size_set(size_));
      }

      virtual double content_left_min_relative_size_get()
      {
         double _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_panes_content_left_min_relative_size_get());
            return _tmp_ret;
      }

      virtual void content_left_min_relative_size_set(double size_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_panes_content_left_min_relative_size_set(size_));
      }

      virtual double content_right_min_relative_size_get()
      {
         double _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_panes_content_right_min_relative_size_get());
            return _tmp_ret;
      }

      virtual void content_right_min_relative_size_set(double size_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_panes_content_right_min_relative_size_set(size_));
      }

      virtual Evas_Coord content_left_min_size_get()
      {
         Evas_Coord _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_panes_content_left_min_size_get());
            return _tmp_ret;
      }

      virtual void content_left_min_size_set(Evas_Coord size_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_panes_content_left_min_size_set(size_));
      }

      virtual Evas_Coord content_right_min_size_get()
      {
         Evas_Coord _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_panes_content_right_min_size_get());
            return _tmp_ret;
      }

      virtual void content_right_min_size_set(Evas_Coord size_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_panes_content_right_min_size_set(size_));
      }

   };
};


template<>
struct operation_description_class_size< ::elm::panes >
{
   static constexpr int value = 
#if defined(PANES_PROTECTED) && defined(PANES_BETA)
      16
#elif defined(PANES_PROTECTED)
      16
#elif defined(PANES_BETA)
      16
#else
      16
#endif
      + operation_description_class_size<::elm::layout >::value      + operation_description_class_size<::evas::clickable_interface >::value;
};

template <typename T>
int initialize_operation_description(::efl::eo::detail::tag<::elm::panes>
                                 , Eo_Op_Description* ops)
{
   int i = 0;
   (void)i;
   (void)ops;
   ops[i].func = reinterpret_cast<void*>(& ::elm_panes_content_left_size_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_panes_content_left_size_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_panes_content_left_size_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_panes_content_left_size_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_panes_horizontal_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_panes_horizontal_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_panes_horizontal_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_panes_horizontal_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_panes_fixed_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_panes_fixed_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_panes_fixed_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_panes_fixed_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_panes_content_right_size_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_panes_content_right_size_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_panes_content_right_size_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_panes_content_right_size_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_panes_content_left_min_relative_size_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_panes_content_left_min_relative_size_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_panes_content_left_min_relative_size_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_panes_content_left_min_relative_size_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_panes_content_right_min_relative_size_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_panes_content_right_min_relative_size_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_panes_content_right_min_relative_size_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_panes_content_right_min_relative_size_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_panes_content_left_min_size_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_panes_content_left_min_size_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_panes_content_left_min_size_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_panes_content_left_min_size_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_panes_content_right_min_size_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_panes_content_right_min_size_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_panes_content_right_min_size_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_panes_content_right_min_size_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   initialize_operation_description<T>(::efl::eo::detail::tag<::elm::layout>(), &ops[operation_description_class_size< ::elm::panes >::value]);
   initialize_operation_description<T>(::efl::eo::detail::tag<::evas::clickable_interface>(), &ops[operation_description_class_size< ::elm::panes >::value + operation_description_class_size<::elm::layout>::value]);
   return 0;
}
inline Eo_Class const* get_eo_class(tag<::elm::panes>)
{
   return (ELM_PANES_CLASS);
}

} } }

/// @endcond

